--- app_queue.bak	2016-03-29 15:25:17.000000000 -0400
+++ app_queue.c	2016-06-16 14:26:35.496678981 -0400
@@ -4599,7 +4599,14 @@ static struct callattempt *wait_for_answ
 					ast_frfree(f);
 				} else { /* ast_read() returned NULL */
 					endtime = (long) time(NULL) - starttime;
-					rna(endtime * 1000, qe, on, membername, 1);
+					/*
+					 * Only autopause if it rang for more than one second
+					 * because a SIP client won't answer if it is in the process
+					 * of re-registering at the time the call is placed.
+					 * If the phone is inadvertently put into Do Not Disturb,
+					 * that will be detected as congestion, not a no answer.
+					 */
+					rna(endtime * 1000, qe, on, membername, (endtime > 1));
 					do_hang(o);
 					if (qe->parent->strategy != QUEUE_STRATEGY_RINGALL) {
 						if (qe->parent->timeoutrestart) {
